C-Dogs SDL Port v0.04
---------------------
(based on C-Dogs 1.06)

        .--------.
       |  _______|
      /  /  __       
     |  |  |  '-.   .---.  .---.  .---.
    /  /  /  /\  \ |  _  ||  ___||  __|
   |  |  |  |_/   || (_) || | __  \ \  
  /  /  /        / |     || '-' |.-' `.
 |  |   '-------'   '---'  '----''----'
 /  '.___________
|                |                  SDL
 `---------------'                v0.04

   [ http://icculus.org/cdogs-sdl ]

+----------+
| Contents |
+----------+

	1. Introduction
	2. Tested Environments
	3. Installation
	4. Command line options
	5. Contact


+---+--------------+
| 1 | Introduction |
+---+--------------+

C-Dogs SDL is a port of a really fun old DOS game to modern operating systems,
using the SDL media libraries for graphics, sound and input (hence the name).

For more information about the original C-Dogs read 'original_readme.txt'.


+---+---------------------+
| 2 | Tested Environments |
+---+---------------------+

C-Dogs SDL has been ported with a unix development environment.
In theory, C-Dogs SDL could run on any system that is supported by SDL.
See the SDL website - <www.libsdl.org> for more details on SDL itself.

Tested architecture/system combinations include:

Linux:			
	* x86		(gentoo, slackware, ubuntu)
	* x86-64	(gentoo)
	* ppc		(ubuntu)

Windows:
	* x86		(XP SP2) [ could be a little flaky ]

MacOSX:
	* ppc
	* x86		(reportedly works fine)

FreeBSD:
	* x86		(reportedly works fine)

OpenBSD:
	* x86		(reportedly works fine)

Should you succeed in running C-Dogs SDL on a different operating system,
please contact us!


+---+--------------+
| 3 | Installation |
+---+--------------+

To compile C-Dogs SDL you need to have the SDL libraries previously installed,
a compiler (gcc recommended) and the appropriate header files.

See /doc/INSTALL for actual installation instructions...


+---+----------------------+
| 4 | Command line options |
+---+----------------------+

The C-Dogs binary is called "cdogs". Below are some command line arguments:

Video Options:
	-fullscreen	Try and use a fullscreen video mode.
	-scale=n	Scale the window resolution up by a factor of n
			  Factors: 2, 3, 4
	-screen=WxH	Set virtual screen width to W x H
			Modes: 320x200, 320x240, 400x300, 640x480, 800x600
	-forcemode	Don't check video mode sanity

Sound Options:
	-nosound	Disable sound

Control Options:
	-nojoystick	Disable joystick(s)
	-js1threshold=n Joystick 1 threshold.
	-js2threshold=n Joystick 2 threshold.

Game Options:
	-savecampaigns  Save builtin campaigns as in the current directory.
	-wait		Wait for a key hit before initialising video.
	-shakemult=n	Screen shaking multiplier (0 = disable).

	-help		Display command line options and version information.

These can be used in any order/combination:
	$ cdogs -fullscreen -wait
Which will make it go full screen after all the pre-video stuff is displayed
on stdout.


+---+---------+
| 5 | Contact |
+---+---------+

If you have an questions, comments, bug reports (yes please), patches (even
better) or anything else related to C-Dogs SDL email either:

	Lucas	<lmartinking@gmail.com> (works with MSN and Jabber too)

	Jeremy	<rekless@fastmail.fm>

Alternately, if you have IRC visit #oz on cyberarmy.
Jeremy is usually 'ReKleSS' and Lucas 'Ion-Pookie'.
